package com.webchat.domain.vo.llm.image;


import lombok.Data;

@Data
public class RequestGenerateBaseParam {

    private String prompt;

    /**
     * 生成图片尺寸
     */
    private RequestGenerateParamSize imageSize;


    /**
     * 默认一张
     */
    private int imgCount;

    public static RequestGenerateBaseParam of(String prompt) {

        return of(prompt, 512, 512, 1);
    }

    public static RequestGenerateBaseParam of(String prompt, int width, int height, int imgCount) {
        RequestGenerateBaseParam param = new RequestGenerateBaseParam();
        param.setPrompt(prompt);
        param.setImgCount(imgCount);
        param.setImageSize(new RequestGenerateParamSize(width, height));
        return param;
    }

}
